Create a knowledge base
curl --request POST \
--url https://api.modulex.dev/knowledge-bases \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Organization-ID: <api-key>' \
--data '
{
"name": "<string>",
"description": "<string>",
"embedding_config": {},
"chunking_config": {}
}
'import requests
url = "https://api.modulex.dev/knowledge-bases"
payload = {
"name": "<string>",
"description": "<string>",
"embedding_config": {},
"chunking_config": {}
}
headers = {
"Authorization": "Bearer <token>",
"X-Organization-ID": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
Authorization: 'Bearer <token>',
'X-Organization-ID': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
name: '<string>',
description: '<string>',
embedding_config: {},
chunking_config: {}
})
};
fetch('https://api.modulex.dev/knowledge-bases', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_by_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"credential_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"embedding_config": {},
"chunking_config": {},
"document_count": 123,
"total_chunks": 123,
"total_tokens": 123,
"status": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"stats": {}
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Endpoints
Create a knowledge base
Create a new knowledge base. Requires the organization admin or owner role.
POST
/
knowledge-bases
Create a knowledge base
Authorizations
User API key: Authorization: Bearer mx_live_*. The X-API-KEY: mx_live_* header is also accepted.
Required organization context for org-scoped endpoints.
Body
application/json
Response
The created knowledge base.
A knowledge base.
Was this page helpful?
⌘I